Decribes the parameter.

### Hierarchy

- Parameter

## Index

### Constructors

- constructor

### Properties

- name
- type
- value

### Methods

- getName
- getType
- getValue
- setValue

## Constructors

### constructor

- new Parameter(name: string, type: ParameterType, value: any): Parameter

- - Defined in smartcontract/abi/parameter.ts:50

  #### Parameters

  - ##### name: string

  - ##### type: ParameterType

  - ##### value: any

  #### Returns Parameter

## Properties

### name

name: string

- Defined in smartcontract/abi/parameter.ts:48

### type

type: ParameterType

- Defined in smartcontract/abi/parameter.ts:49

### value

value: any

- Defined in smartcontract/abi/parameter.ts:50

## Methods

### getName

- getName(): string

- - Defined in smartcontract/abi/parameter.ts:57

  #### Returns string

### getType

- getType(): ParameterType

- - Defined in smartcontract/abi/parameter.ts:61

  #### Returns ParameterType

### getValue

- getValue(): any

- - Defined in smartcontract/abi/parameter.ts:65

  #### Returns any

### setValue

- setValue(value: any): boolean

- - Defined in smartcontract/abi/parameter.ts:69

  #### Parameters

  - ##### value: any

  #### Returns boolean

Generated using TypeDoc